package safehome.netcameraviewer;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;

import safehome.device.netcamera.NetworkCamera;


public class CameraViewer extends JFrame implements ActionListener
{	
	/**
	 * 
	 */
	private static final long serialVersionUID = 7767638212512542563L;
	private CameraViewComponent cameraViewComponent;
	private NetworkCamera camera;
	
	///// Part for getting an image from the camera device.
	//public CameraViewer_Drawer( Queue communication_Queue, DeviceCamera camera )		
	////
	public CameraViewer(NetworkCamera camera)	
	{
		super("Camera Example");
		this.camera = camera;
		cameraViewComponent = new CameraViewComponent(camera);
		setSize(455, 570);
		getContentPane().setLayout(null);
		setResizable(false);
		
		// make buttons
		JButton buttonPanLeft = new JButton("PanLeft");
		buttonPanLeft.addActionListener(this);
		JButton buttonPanRight = new JButton("PanRight");
		buttonPanRight.addActionListener(this);
		JButton buttonZoomIn = new JButton("ZoomIn");
		buttonZoomIn.addActionListener(this);
		JButton buttonZoomOut = new JButton("ZoomOut");
		buttonZoomOut.addActionListener(this);
		
		// attach buttons to dialog
		JPanel displayPanel = new JPanel(new GridLayout(2, 2));
		displayPanel.add(buttonPanLeft);
		displayPanel.add(buttonPanRight);
		displayPanel.add(buttonZoomIn);
		displayPanel.add(buttonZoomOut);
		displayPanel.setBounds(25, 25, 400, 60);
		getContentPane().add(displayPanel);
		
		// attach camera view to dialog
		displayPanel = new JPanel(new GridLayout(1, 1));
		displayPanel.add(cameraViewComponent);
		displayPanel.setBounds(25, 110, 400, 400);
		getContentPane().add(displayPanel);
		setVisible(true);
	}
	
	public void actionPerformed(ActionEvent event)
	{
		if(event.getActionCommand().equals("PanLeft"))
		{
			camera.panLeft();
		}
		else if(event.getActionCommand().equals("PanRight"))
		{
			camera.panRight();
		}
		else if(event.getActionCommand().equals("ZoomIn"))
		{
			camera.zoomIn();
		}
		else if(event.getActionCommand().equals("ZoomOut"))
		{
			camera.zoomOut();
		}		
	}


}