package safehome.device.netcamera;

import java.io.IOException;
import java.net.UnknownHostException;


public class CameraPeerMain 
{
	private static CameraPeer cameraPeer = null;
	
	private final static String safehomeCoreIP = "verifier.kaist.ac.kr";
	
	private final static int safehomeCorePort = 2112;
	
	

	public static void main(String[] args)
	{
		
		try {
			/* 
			 * Creates a new camera peer. A camera peer has a a real device camera instance. 
			 * A camera peer connects to SafeHome core sends camera images and receives control signals
			 */
			cameraPeer = new CameraPeer(safehomeCoreIP, safehomeCorePort);
		} catch (UnknownHostException e) {
			System.err.println("Safehome core not found");
			System.exit(1);
			
		} catch (IOException e) {
			
			System.err.println("Safehome core not found");
			System.exit(1);
		}
		/*
		 * Send camera images to SafeHome core periodically
		 */
		new Thread(cameraPeer).start();
		/* 
		 * Receive control signals from SafeHome core
		 */
		cameraPeer.readControl();
	}

	


}
